
/*
 * mod.c - example module for kmod_def_cleanup() api
 * 
 * Copyright (c) International Business Machines Corp., 2001
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *
 * Author: Maneesh Soni <smaneesh@in.ibm.com>
 *
 */                                                                             

#ifndef __KERNEL__
#define __KERNEL__
#endif

#ifndef MODULE
#define MODULE
#endif

#include <linux/module.h>
#include <linux/stddef.h>

void cleanup_module(void)
{
	printk("mod: cleanup_module\n");

	kmod_def_cleanup(THIS_MODULE, NULL);
		
}

int init_module(void)
{
	printk("mod: init_module\n");
	return 0;
}
