/*
 * test3app.c - test program 
 *
 * Copyright (c) International Business Machines Corp., 2000
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Author: Maneesh Soni <smaneesh@in.ibm.com>
 *
 */                          

#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h> 
#include <errno.h>

main()
{
	int fda = 0, fdb = 0, retval = 0, i;

	char buf[5] = "add";

	if ((fda = open("moda", O_RDWR)) < 0) {
		perror("open error for moda");
		return fda;
	}

	if ((fdb = open("modb", O_RDWR)) < 0) {
		perror("open error for modb");
		return fdb;
	}
	retval = write(fda, buf, 6);
	if (retval < 0)
        	perror("write error");

	retval = read(fda, buf, 6);	
	if (retval < 0)
               	perror("read error");
	retval = write(fdb, buf, 6);
	if (retval < 0)
              	perror("write error");

	retval = read(fdb, buf, 6);
	if (retval < 0)
               	perror("read error");

	close(fda);
	close(fdb);

}

